发布时间 :2004-12-31 00:00:00
修订时间 :2016-10-17 23:05:02

[原文]ActivePerl 5.8.x and others, and Larry Wall's Perl 5.6.1 and others, when running on Windows systems, allows attackers to cause a denial of service (crash) and possibly execute arbitrary code via a long argument to the system command, which leads to a stack-based buffer overflow. NOTE: it is unclear whether this bug is in Perl or the OS API that is used by Perl.

[CNNVD]多个Perl System函数调用实现缓冲区溢出漏洞(CNNVD-200412-785)

        ActiveState Perl和Perl for cygwin在传递数据给Perl system()函数调用时缺少正确边界缓冲区检查,远程攻击者可以利用这个漏洞以调用应用程序进程在系统上执行任意指令。

- CVSS (基础分值)

CVSS分值: 2.1 [轻微(LOW)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:activestate:activeperl:5.8ActiveState ActivePerl 5.8
cpe:/a:activestate:activeperl:5.6.1ActiveState ActivePerl 5.6.1
cpe:/a:activestate:activeperl:5.6.2ActiveState ActivePerl 5.6.2
cpe:/a:activestate:activeperl:5.7.1ActiveState ActivePerl 5.7.1
cpe:/a:activestate:activeperl:5.6.3ActiveState ActivePerl 5.6.3
cpe:/a:activestate:activeperl:5.7.2ActiveState ActivePerl 5.7.2
cpe:/a:activestate:activeperl:5.7.3ActiveState ActivePerl 5.7.3
cpe:/a:activestate:activeperl: ActivePerl

- OVAL (用于检测的技术细节)


- 官方数据库链接
(官方数据源) MITRE
(官方数据源) NVD
(官方数据源) CNNVD

- 其它链接及资源
(UNKNOWN)  FULLDISC  20040518 Re[2]: [Full-Disclosure] Buffer Overflow in ActivePerl ?
(UNKNOWN)  BUGTRAQ  20040518 RE: [Full-Disclosure] Re: Buffer Overflow in ActivePerl ?
(UNKNOWN)  FULLDISC  20040517 Buffer Overflow in ActivePerl ?
(UNKNOWN)  FULLDISC  20040517 RE: Buffer Overflow in ActivePerl ?
(UNKNOWN)  FULLDISC  20040518 Re: Buffer Overflow in ActivePerl ?
(UNKNOWN)  BID  10375
(UNKNOWN)  XF  perl-system-bo(16169)

- 漏洞信息

多个Perl System函数调用实现缓冲区溢出漏洞
低危 边界条件错误
2004-12-31 00:00:00 2005-10-20 00:00:00
        ActiveState Perl和Perl for cygwin在传递数据给Perl system()函数调用时缺少正确边界缓冲区检查,远程攻击者可以利用这个漏洞以调用应用程序进程在系统上执行任意指令。

- 公告与补丁


- 漏洞信息 (24128)

ActivePerl 5.x,Cygwin 1.5.x System Function Call Buffer Overflow Vulnerability (EDBID:24128)
windows dos
2004-05-18 Verified
0 Oliver Karow
N/A [点击下载]

ActiveState Perl and Perl for cygwin are both reported to be prone to a buffer overflow vulnerability. 

The issue is reported to exist due to a lack of sufficient bounds checking that is performed on data that is passed to a Perl system() function call. This vulnerability may permit an attacker to influence execution flow of a vulnerable Perl script to ultimately execute arbitrary code. Arbitrary code execution will occur in the context of the user who is running the malicious Perl script.

perl -e "$a="A" x 256; system($a)"		

- 漏洞信息

ActivePerl for Win32 System Function Long Argument Local DoS
Local Access Required Denial of Service, Input Manipulation
Loss of Availability
Exploit Public

- 漏洞描述

A local overflow exists in ActivePerl for Win32. The interpreter fails to do proper bounds checking on input to the system()function resulting in a buffer overflow. With a specially crafted request, an attacker can cause an interpreter crash resulting in a loss of availability. It may be possible to manipulate the input so as to cause execution of arbitrary code resulting in a loss of confidentiality.

- 时间线

2004-05-17 Unknow
2004-05-17 Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者